PENTOBI(6)

NAME
pentobi - computer opponent for the board game Blokus

SYNOPSIS
pentobi [options] [file]

DESCRIPTION

pentobi is the command to invoke the program Pentobi, which is a graphical user interface and computer opponent to play the board game Blokus.

The command can take the name of a game file to open at startup as an optional argument. The game file is expected to be in Pentobi's SGF format as documented in doc/blksgf/Pentobi-SGF.html in the Pentobi source package.

OPTIONS

--memory
    The amount of memory in bytes to be used by the search. If this option is not used, it depends on the amount of physical memory available on the system how much memory Pentobi will allocate (currently up to 768 MB). If the memory for the search is too low, the playing strength at higher playing levels will be impaired. This can be checked by running Pentobi with option --verbose in a game variant with a high number of Monte-Carlo simulations per second (e.g. Duo). If a message that the search tree was pruned occurs more than a few times during a move generation, the playing strength is likely to be affected.

--threads
    The number of threads to use in the search. By default, up to 4 threads are used in the search depending on the number of hardware threads supported by the current system. Using more threads will speed up the move generation but using a very high number of threads (e.g. more than 8) can degrade the playing strength in higher playing levels.

--verbose
    Print internal information about the move generation and other debugging information to standard error.

SEE ALSO
pentobi-thumbnailer(6)

AUTHOR
Markus Enzenberger <enz@users.sourceforge.net>